<?php

namespace App\Controller;

use App\DTO\ContactDTO;
use App\DTO\EventRegistrationDTO;
use Psr\Log\LoggerInterface;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\Form\Extension\Core\Type\CheckboxType;
use Symfony\Component\Form\Extension\Core\Type\EmailType;
use Symfony\Component\Form\Extension\Core\Type\SubmitType;
use Symfony\Component\Form\Extension\Core\Type\TextareaType;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\FormInterface;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Mailer\MailerInterface;
use Symfony\Component\Mime\Email;
use Symfony\Component\Routing\Attribute\Route;

final class HomeController extends AbstractController
{



    #[Route('/fonts', 'fonts')]
    public function fonts(): Response {
        return $this->render('home_controller/fonts.html.twig');
    }


 #[Route('/impressum', 'imprint')]
    public function imprint(): Response {
        return $this->render('home_controller/imprint.html.twig');
    }

 #[Route('/datenschutzerklaerung', 'data_privacy')]
    public function data_privacy(): Response {
        return $this->render('home_controller/data-privacy.html.twig');
    }



    #[Route('/architektur', 'architecture')]
    public function architecture(): Response {
        return $this->render('home_controller/architecture.html.twig');
    }

    #[Route('/kontakt', 'contact')]
    public function contact(): Response {
        return $this->render('home_controller/contact.html.twig');
    }

    #[Route('/gutachten', 'building_report')]
    public function buildingReport(): Response {
        return $this->render('home_controller/building-report.html.twig');
    }

    #[Route('/ueber-mich', name: 'about_me')]
    public function aboutMe(Request $request, MailerInterface $mailer): Response
    {
        return $this->render('home_controller/about-me.html.twig');
    }

    #[Route('/', name: 'home')]
    public function index(Request $request, MailerInterface $mailer): Response
    {
        return $this->render('home_controller/maintenance.html.twig');
        // return $this->render('home_controller/index.html.twig');
    }

}
